net.sf.saxon.trans

## Interface BuiltInRuleSet

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    DeepCopyRuleSet, DeepSkipRuleSet, FailRuleSet, RuleSetWithWarnings, ShallowCopyRuleSet, ShallowSkipRuleSet, TextOnlyCopyRuleSet

      public interface BuiltInRuleSet
      extends Serializable

  Defines a set of built-in template rules (rules for use when no user-defined template rules match a given node)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEEP_COPY`
    `static int` | `DEEP_SKIP`
    `static int` | `FAIL`
    `static int` | `SHALLOW_COPY`
    `static int` | `SHALLOW_SKIP`
    `static int` | `TEXT_COPY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDefaultAction(int nodeKind)` Get the default action for unmatched nodes
    `void` | `process(Item item, ParameterSet parameters, ParameterSet tunnelParams, XPathContext context, int locationId)` Perform the built-in template action for a given item.

- - ### Field Detail

    - #### DEEP_COPY

          static final int DEEP_COPY

      See Also:
        Constant Field Values

    - #### DEEP_SKIP

          static final int DEEP_SKIP

      See Also:
        Constant Field Values

    - #### FAIL

          static final int FAIL

      See Also:
        Constant Field Values

    - #### SHALLOW_COPY

          static final int SHALLOW_COPY

      See Also:
        Constant Field Values

    - #### SHALLOW_SKIP

          static final int SHALLOW_SKIP

      See Also:
        Constant Field Values

    - #### TEXT_COPY

          static final int TEXT_COPY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### process

          void process(Item item,
                     ParameterSet parameters,
                     ParameterSet tunnelParams,
                     XPathContext context,
                     int locationId)
                       throws XPathException

      Perform the built-in template action for a given item.
      Parameters:
        `item` - the item to be processed
        `parameters` - the parameters supplied to apply-templates
        `tunnelParams` - the tunnel parameters to be passed through
        `context` - the dynamic evaluation context
        `locationId` - location of the instruction (apply-templates, apply-imports etc) that caused the built-in template to be invoked
      Throws:
        `XPathException` - if any dynamic error occurs

    - #### getDefaultAction

          int getDefaultAction(int nodeKind)

      Get the default action for unmatched nodes
      Parameters:
        `nodeKind` - the node kind
      Returns:
        the default action for unmatched element nodes: one of DEEP_COPY, APPLY_TEMPLATES, DEEP_SKIP, FAIL

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.